<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package peccular Premium
 */

get_header(); ?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >

<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>
    </div>
 <?php } ?>    
 

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
	<div class="container">
        <div class="inner_contentbox">
			<div class="oops-text"><?php esc_html_e( 'Oops! This Page Could Not Be Found.', 'total' ); ?></div>
			<span class="error-404"><?php esc_html_e( '404', 'total' ); ?></span>
			<div class="oops-text"><?php esc_html_e( 'SORRY BUT THE PAGE YOU ARE LOOKING FOR DOES NOT EXIST, HAVE BEEN REMOVED. NAME CHANGED OR IS TEMPORARILY UNAVAILABLE', 'total' ); ?></div>
        <div class="clearfix"></div>
    </div>
	</div>
</main><!-- #main -->

<?php get_footer(); ?>