<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));
 
  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );


    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'header_SVGrectImage_display',
                'peccular_header_style',
                'peccular_header_width',               
                'peccular_header_button_text',
                'peccular_header_button_link'               
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'header_stickybgColor',          
                'header_bottombgColor',
                'header_topbgColor1',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',               
                'header_bottombgovrColor',
                'header_bottombrdrColor',
                'header_phnno_textColor',
                'header_phnno_IconColor',
                'header_phnno_brdrColor',
                'header_btn_texthov',

            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));

  $wp_customize->add_setting( 'header_SVGrectImage_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'header_SVGrectImage_display', array( 'label' => 'Top/Bottom Shape Image Display', 'section' => 'peccular_header_section', 'settings' => 'header_SVGrectImage_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Images', 'hide' => 'Hide Images', ), ) ); 


    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'Above Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

     $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));


    $wp_customize->add_setting('peccular_header_button_text',array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default' => __('+1 000 111 222','peccular-premium')
    ));
    $wp_customize->add_control('peccular_header_button_text',array(
        'settings'      => 'peccular_header_button_text',
        'type' => 'text',
        'label' => __('Add Phone Number','peccular-premium'),
        'section' => 'peccular_header_section',
    ));

    // $wp_customize->add_setting('peccular_header_button_link',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
    // $wp_customize->add_control('peccular_header_button_link',
    // array(
    //     'settings'      => 'peccular_header_button_link',
    //     'section'       => 'peccular_header_section',
    //     'type'          => 'url',
    //     'label'         => __( 'Add Button Link Here', 'peccular-premium' )
    // ) 
    // );    


//colors

addColorPalatOption($wp_customize, 'header_topbgColor1', 'peccular_header_section', 'Header BG color', '');

addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG Color', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'header_phnno_textColor', 'peccular_header_section', 'Phone Text Color', '');
addColorPalatOption($wp_customize, 'header_phnno_IconColor', 'peccular_header_section', 'Phone Icon Color', '');
addColorPalatOption($wp_customize, 'header_phnno_brdrColor', 'peccular_header_section', 'Phone Border Color', '');
addColorPalatOption($wp_customize, 'header_btn_texthov', 'peccular_header_section', 'Phone Hover Text Color', '');
?>