<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
);

$wp_customize->add_setting('peccular_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));
 
    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
       'section' => 'peccular_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',   
                'peccular_slider_bgshapes_display', 
                'peccular_slider_contentshape_display',           
                'peccular_sliderbg_image',
                'peccular_slider_section_lbl1',
                'peccular_sliderimgbrdr1_image',
                'peccular_sliderimgbrdr2_image2'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'peccular_slider_heading_color',
                'peccular_slider_text_color',
                'peccular_slider_imageborder_color',  
                'peccular_slider_imageboxbg_color', 
                'peccular_slider_btn_textColor',                
                'peccular_slider_btn_bgColor',
                'peccular_slider_btn_texthov',
                'peccular_slider_arrow_color',
                'peccular_slider_arrowbg_color',
                'peccular_slider_arrowhov_color',
                'peccular_slider_arrowbrdr_color' 

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_slider_section_width'
            ),
         )
        ),
    )));

    $wp_customize->add_setting(
        'slider_section_show_content',
        array(
            'sanitize_callback' => 'peccular_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new peccular_Switch_Control(
            $wp_customize,
            'slider_section_show_content',
            array(
                'settings'      => 'slider_section_show_content',
                'section'       => 'peccular_slider_section',
                'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'Luzuk' ),
                    'off' => __( 'No', 'Luzuk' )
                ),
            )
        )
    );

        // to show & hide Heading Image
    $wp_customize->add_setting( 'peccular_slider_bgshapes_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_slider_bgshapes_display', array( 'label' => 'Bg Shape Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_slider_bgshapes_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show shapes', 'hide' => 'Hide shapes', ), ) ); 

    // $wp_customize->add_setting( 'peccular_sliderimgbrdr1_image',array(
    // 'default' => true,
    // 'sanitize_callback' => 'peccular_switch_sanitization'
    // ) );
    // $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_sliderimgbrdr1_image',array(
    //     'label' => __( 'Disable Slider Image Border 1','peccular' ),
    //     'section' => 'peccular_slider_section'
    // )));

    // $wp_customize->add_setting( 'peccular_sliderimgbrdr1_image' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_sliderimgbrdr1_image', array( 'label' => 'Slider Image Border 1 Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_sliderimgbrdr1_image', 'type' => 'radio', 'choices' => array( 'show' => 'Show shapes', 'hide' => 'Hide shapes', ), ) ); 

    // $wp_customize->add_setting( 'peccular_sliderimgbrdr2_image2' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_sliderimgbrdr2_image2', array( 'label' => 'Slider Image Border 2 Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_sliderimgbrdr2_image2', 'type' => 'radio', 'choices' => array( 'show' => 'Show shapes', 'hide' => 'Hide shapes', ), ) ); 
    

    $wp_customize->add_setting('peccular_slider_section_lbl1', array('sanitize_callback'=>'peccular_sanitize_text'));
    $wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_slider_section_lbl1',
        array(
            'settings'      => 'peccular_slider_section_lbl1',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Note:', 'peccular Premium' ), 
            'description'   => __( 'Take Slider Image in size 502px x 502px  ', 'peccular Premium' ),
        )
    )
);

         // to show & hide Heading Image
    $wp_customize->add_setting( 'peccular_slider_contentshape_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_slider_contentshape_display', array( 'label' => 'Content Top/Bottom Shape Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_slider_contentshape_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show shapes', 'hide' => 'Hide shapes', ), ) ); 
 
    $wp_customize->add_setting( 'peccular_sliderbg_image',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
    ) );
    $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_sliderbg_image',array(
        'label' => __( 'Show/Hide Slider Bottom Transparent Image ','peccular' ),
        'section' => 'peccular_slider_section'
    )));


    $wp_customize->add_setting('peccular_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_slider_section',
    ));

addColorPalatOption($wp_customize, 'peccular_slider_imageborder_color', 'peccular_slider_section', 'Image Border Color', '');
// addColorPalatOption($wp_customize, 'peccular_slider_imageboxbg_color', 'peccular_slider_section', 'Image Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_heading_color', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_text_color', 'peccular_slider_section', 'Text Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_btn_textColor', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_btn_bgColor', 'peccular_slider_section', 'Button Bg Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_btn_texthov', 'peccular_slider_section', 'Button Hover Text Color', '');

addColorPalatOption($wp_customize, 'peccular_slider_arrow_color', 'peccular_slider_section', 'Arrow Color', '');
//addColorPalatOption($wp_customize, 'peccular_slider_arrowbg_color', 'peccular_slider_section', 'Arrow BG Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_arrowhov_color', 'peccular_slider_section', 'Arrow Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_slider_arrowbrdr_color', 'peccular_slider_section', 'Arrow Border Color', '');
?>