<?php       
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-lg-6 col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-4 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-4 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?> serbrdr pd-0">
                    <div  service-match-height="groupName" class="peccular-service-box <?php echo esc_attr(get_theme_mod('peccular_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                        
                    <div class="peccular-service-image">
                        <a href="<?php the_permalink();?>">          
                            <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/serv1.jpg';
                            }
                            ?>   
                            <div class="img_overlayColored"></div>
                            <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_services_post_image_height','265')) ?>px;" />
                            <div class="hoverOverly"></div>
                        </a>
                            <!-- 
                            <div class="imgicon"> 
                                <i class="<?php //echo esc_attr(get_theme_mod('peccular_service_page_icon' . $i, 'fa fa-bell')); ?>"></i>
                            </div> 
                            -->
                    </div>         
                                
                    <div class="peccular-service-content" style="text-align: <?php if(get_theme_mod('peccular_services_content_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_services_content_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_services_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                        <div class="servcontoverlay"></div>    
                        <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>                                   
                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_services_post_excerpt','20')) ) ); ?>
                                
                            </p>

                            <?php
                                $peccular_service_button_text = get_theme_mod('peccular_service_button_text', 'READ MORE'); ?>
                            <?php if( get_theme_mod('peccular_service_button_enable',true) == true){ ?>
                            <div class="srvc-btns2">          
                            <a href="<?php the_permalink(); ?>"><?php echo ($peccular_service_button_text );  ?></a>
                            </div>   
                            <?php }?> 

                    </div>                                 
                </div>                            
                  
<script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('peccular_service_number',5);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12 col-xs-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6 col-xs-12';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        default: 
        $colCls = 'col-lg-4 col-md-6 col-sm-6 col-xs-12';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $peccular_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

            ?>
                <div class="<?php echo $colCls;?> pd-0">
                    <div  service-match-height="groupName" class="peccular-innservice-box <?php echo esc_attr(get_theme_mod('peccular_innservice_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                        
                    <div class="peccular-innservice-image">
                        <div class="top-left-border"></div>
                        <div class="top-right-border"></div>
                        <a href="<?php the_permalink();?>">          
                            <?php
                            if (has_post_thumbnail()) {
                            $image_url = $peccular_image[0];
                            } else {
                            $image_url = get_template_directory_uri() . '/images/serv1.jpg';
                            }
                            ?>   
                            <img class="peccular-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('peccular_innservices_post_image_height','265')) ?>px;" />
                        </a>
                        <div class="bottom-left-border"></div>
                        <div class="bottom-right-border"></div>
                            
                    </div>         
                                
                    <div class="peccular-innservice-content" style="text-align: <?php if(get_theme_mod('peccular_innservices_content_align','Center') == 'Center'){ ?> Center <?php } elseif(get_theme_mod('peccular_innservices_content_align','Left') == 'Left'){ ?> Left <?php } elseif(get_theme_mod('peccular_innservices_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                          
                            <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('peccular_innservice_title_case','Capitalize') == 'Capitalize'){ ?> Capitalize <?php } elseif(get_theme_mod('peccular_innservice_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('peccular_innservice_title_case','Uppercase') == 'Uppercase'){ ?> Uppercase <?php } elseif(get_theme_mod('peccular_innservice_title_case','None') == 'None'){ ?> None <?php } ?> "><?php the_title(); ?>
                                
                            </a>
                            </h4>                                   
                            <p><?php $peccular_excerpt = get_the_excerpt(); echo esc_html( peccular_string_limit_words( $peccular_excerpt, esc_attr(get_theme_mod('peccular_innservices_post_excerpt','20')) ) ); ?>                                
                            </p>

                            <?php
                                $peccular_innservice_button_text = get_theme_mod('peccular_innservice_button_text', 'Read More'); ?>
                            <?php if( get_theme_mod('peccular_innservice_button_enable',true) == true){ ?>
                               
                            <div class="innservice-btns2">        
                            <a href="<?php the_permalink(); ?>"><?php echo ($peccular_innservice_button_text );  ?></a>
                            </div>
                               
                            <?php }?> 

                            </div> 
                                
                </div>                            
                  
<script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
