<?php
/**
 * Createing an Facility pannel for customizer
 * 
 */

// START FACILITY SECTION 
    $wp_customize->add_section(
        'peccular_facility_section',
        array(
            'title' => __( 'Our Facilities', 'peccular-premium' ),
            'panel' => 'peccular_premium_home_panel1',
            'priority' =>28
        )
    ); 


    $wp_customize->add_setting('peccular_facility_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_facility_nav', array(
       'section' => 'peccular_facility_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_facility_enable', 
                'peccular_facility_maintitle',
                'peccular_facility_head_icon_enable',                          
                'peccular_facility_npp_count_heading',
                'peccular_facility_npp_count',
                'peccular_facility_page1',
                'peccular_facility_page_icon1',
                'peccular_facility_page_title_1',
                'peccular_facility_page_description_1',
                'peccular_facility_page2',
                'peccular_facility_page_icon2',
                'peccular_facility_page_title_2',
                'peccular_facility_page_description_2',
                'peccular_facility_page3',
                'peccular_facility_page_icon3',
                'peccular_facility_page_title_3',
                'peccular_facility_page_description_3',
                'peccular_facility_npp_count_right',
                'peccular_facility_npp_count_right_heading',
                'peccular_facility_page_right1',
                'peccular_facility_page_icon_right1',
                'peccular_facility_page_title_right_1',
                'peccular_facility_page_description_right_1',
                'peccular_facility_page_right2',
                'peccular_facility_page_icon_right2',
                'peccular_facility_page_title_right_2',
                'peccular_facility_page_description_right_2',
                'peccular_facility_page_right3',
                'peccular_facility_page_icon_right3',
                'peccular_facility_page_title_right_3',
                'peccular_facility_page_description_right_3'
                
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'peccular_facility_section_bg_color',
                'peccular_facility_section_bg_image',
                'peccular_facility_image_opacity',               
                'peccular_facility_title_case', 
                'peccular_facility_heading_case',               
                'peccular_facility_box_align',
                'peccular_facility_box_onload_effects',
                'peccular_facility_heading_color', 
                'peccular_facility_heading_case',                           
                'peccular_facility_box1text_color',
                'peccular_facility_box2text_color',               
                'peccular_facility_box1hovtext_color',
                'peccular_facility_box2hovtext_color',
                'peccular_facility_box2hovbg_color',               
                'peccular_facility_box1hovbg_color',
                'peccular_facility_boxbg_color',
                'peccular_facility_box2bg_color',
                'peccular_facility_headingbtmbrdr_color',
                'peccular_facility_headingicon_color'
              

            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_facility_padding',
                'peccular_facility_section_t_padding',
                'peccular_facility_section_b_padding',
                'peccular_facility_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'peccular_facility_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_facility_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_facility_section'
)));


$wp_customize->add_setting(
    'peccular_facility_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Our Facility', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_facility_maintitle',
    array(
        'settings'      => 'peccular_facility_maintitle',
        'section'       => 'peccular_facility_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);


$wp_customize->add_setting( 'peccular_facility_head_icon_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_facility_head_icon_enable',array(
    'label' => __( 'Heading Icon On/Off','peccular' ),
    'section' => 'peccular_facility_section'
)));



$wp_customize->add_setting('peccular_facility_npp_count_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_facility_npp_count_heading',
        array(
            'settings'      => 'peccular_facility_npp_count_heading',
            'section'       => 'peccular_facility_section',
            'label'         => __( 'Number Of Left Side Facility To Show', 'peccular-premium' ),
        )
    )
);    
$wp_customize->add_setting('peccular_facility_npp_count',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_facility_npp_count',
    array(
        'settings'      => 'peccular_facility_npp_count',
        'section'       => 'peccular_facility_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Facility To Show', 'peccular-premium' ),
        'choices'=>array(1,2,3)
    )
);

//facility PAGES
for( $i = 1; $i <= 3; $i++ ){
    $wp_customize->add_setting(
        'peccular_facility_page'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_facility_page'.$i,
            array(
                'settings'      => 'peccular_facility_page'.$i,
                'section'       => 'peccular_facility_section',
                'label'         => __( 'Facility Box ', 'peccular-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'peccular_facility_page_icon'.$i,
        array(
            'default'           => 'fa fa-home',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_facility_page_icon'.$i,
            array(
                'settings'      => 'peccular_facility_page_icon'.$i,
                'section'       => 'peccular_facility_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'peccular_facility_page_title_'.$i, 'peccular_facility_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='Clean Tools');
lzAddElement($wp_customize, 'peccular_facility_page_description_'.$i, 'peccular_facility_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='It is a long established fact that a will be distracted by the readable of a page when looking at its layout. point of using Lorem Ipsum.');
    
}

//Right side facility

$wp_customize->add_setting('peccular_facility_npp_count_right_heading',array('sanitize_callback' => 'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Customize_Heading(
        $wp_customize,
        'peccular_facility_npp_count_right_heading',
        array(
            'settings'      => 'peccular_facility_npp_count_right_heading',
            'section'       => 'peccular_facility_section',
            'label'         => __( 'Number Of Right Side Facility To Show', 'peccular' ),
        )
    )
);    
$wp_customize->add_setting('peccular_facility_npp_count_right',array('sanitize_callback' => 'peccular_sanitize_text','default' => 3));
$wp_customize->add_control(
    'peccular_facility_npp_count_right',
    array(
        'settings'      => 'peccular_facility_npp_count_right',
        'section'       => 'peccular_facility_section',
        'type'          => 'select',
        'label'         => __( 'Number Of Facility To Show', 'peccular' ),
        'choices'=>array(1,2,3)
    )
);

//facility PAGES
for( $i = 1; $i <=3; $i++ ){
    $wp_customize->add_setting(
        'peccular_facility_page_right'.$i,
        array(
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new peccular_Customize_Heading(
            $wp_customize,
            'peccular_facility_page_right'.$i,
            array(
                'settings'      => 'peccular_facility_page_right'.$i,
                'section'       => 'peccular_facility_section',
                'label'         => __( 'Facility Box ', 'peccular-premium' ).$i
            )
        )
    );

     $wp_customize->add_setting(
        'peccular_facility_page_icon_right'.$i,
        array(
            'default'           => 'fa fa-home',
            'sanitize_callback' => 'peccular_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new peccular_Fontawesome_Icon_Chooser(
            $wp_customize,
            'peccular_facility_page_icon_right'.$i,
            array(
                'settings'      => 'peccular_facility_page_icon_right'.$i,
                'section'       => 'peccular_facility_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'peccular-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'peccular_facility_page_title_right_'.$i, 'peccular_facility_section', $type = 'text', $label="Title", $callback ='peccular_sanitize_text', $default='New Design');
lzAddElement($wp_customize, 'peccular_facility_page_description_right_'.$i, 'peccular_facility_section', $type = 'textarea', $label="Description", $callback ='peccular_sanitize_text', $default='It is a long established fact that a will be distracted by the readable of a page when looking at its layout. point of using Lorem Ipsum.');
    
}

   $wp_customize->add_setting('peccular_facility_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_facility_padding',array(
      'label' => __('Section Padding','peccular'),
      'section' => 'peccular_facility_section'
   ));

    $wp_customize->add_setting('peccular_facility_section_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_facility_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_facility_section',
    ));
     $wp_customize->add_setting('peccular_facility_section_b_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_facility_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_facility_section',
    ));


    $wp_customize->add_setting( 'peccular_facility_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_facility_section_bg_color', array(
        'label' => __('Section Background Color','peccular'),
       'section' => 'peccular_facility_section',
    )));

    $wp_customize->add_setting( 'peccular_facility_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_facility_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_facility_section',
    )));


    $wp_customize->add_setting('peccular_facility_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_facility_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_facility_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_facility_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_facility_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_facility_section',
    ));

    $wp_customize->add_setting('peccular_facility_heading_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_facility_heading_case',array(
        'type' => 'select',
        'label' => __('Facility Heading Font Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_facility_section',
    ));


    $wp_customize->add_setting('peccular_facility_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_facility_title_case',array(
        'type' => 'select',
        'label' => __('Facility Title Font Case','peccular'),
        'choices' => array (
            'Uppercase' => __('Uppercase','peccular'),
            'Lowercase' => __('Lowercase','peccular'),
            'Capitalize' => __('Capitalize','peccular'),
            'None' => __('None','peccular')
        ),
        'section' => 'peccular_facility_section',
    ));


    $wp_customize->add_setting('peccular_facility_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_facility_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_facility_section',
    ));

    $wp_customize->add_setting('peccular_facility_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_facility_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_facility_section',
    ));

addColorPalatOption($wp_customize, 'peccular_facility_heading_color', 'peccular_facility_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_headingicon_color', 'peccular_facility_section', 'Heading Icon Color ', '');
addColorPalatOption($wp_customize, 'peccular_facility_headingbtmbrdr_color', 'peccular_facility_section', 'Heading Bottom Border Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_boxbg_color', 'peccular_facility_section', 'Box 1 BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_facility_box2bg_color', 'peccular_facility_section', 'Box 2 BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_facility_box1text_color', 'peccular_facility_section', 'Box 1 Text Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_box2text_color', 'peccular_facility_section', 'Box 2 Text Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_box1hovbg_color', 'peccular_facility_section', 'Box 1 Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_box1hovtext_color', 'peccular_facility_section', 'Box 1 Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_box2hovbg_color', 'peccular_facility_section', 'Box 2 Hover BG Color', '');
addColorPalatOption($wp_customize, 'peccular_facility_box2hovtext_color', 'peccular_facility_section', 'Box 2 Hover Text Color', '');
?>