<?php 
  $lvl2ParentPanel3 = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'peccular_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test page',
    'panel' => 'peccular_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_contact_pages' , array(
        'title'    => __( 'Contact Page', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel3'
    ) );

    $wp_customize->add_setting('peccular_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_contactpages_nav', array(
       'section' => 'peccular_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               'peccular_contactinn_enable', 
                'peccular_contactinn_maintitle',
                'peccular_contactinn_letfmaintitle',               
                'peccular_contactinn_phone1',                
                'peccular_contactinn_address',               
                'peccular_contactinn_email1',                
                'peccular_contactinn_form_shortcode',
                'peccular_contactinn_page_iframe_shortcode'  
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                
                'peccular_contactinn_heading_color',
                'peccular_contactinn_headinglbox1bg_color1',
                'peccular_contactinn_headinglbox2bg_color2',
                'peccular_contactinn_headinglbox2bg_color',
                'peccular_contactinn_ldbox1bg_color1',
                'peccular_contactinn_ldbox1bg_color2',
                'peccular_contactinn_ldbox2bg_color',
                'peccular_contactinn_icon_color',
                'peccular_contactinn_iconbg_color1',
                'peccular_contactinn_iconbg_color2',
                'peccular_contactinn_data_color',
                'peccular_contactinn_linkhover_color',
                'peccular_contactinn_rightheading_color',
                'peccular_contactinn_rboxbg_color1',
                'peccular_contactinn_rboxbg_color2',
                'peccular_contactinn_formsmallcrcl_color1',
                'peccular_contactinn_formsmallcrcl_color2',
                'peccular_contactinn_formtext_color',
                'peccular_contactinn_formborder_color', 
                'peccular_contactinn_btntext_color',
                'peccular_contactinn_btnhovtxt_color',
                'peccular_contactinn_btnbg_color',
                'peccular_contactinn_btnhovbg_color',
                'peccular_contactinn_headinglbox2brdr_color',
                'peccular_contactinn_ldbox2brdr_color',
                'peccular_contactinn_box_onload_effects'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'peccular_contactinn_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Us', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_maintitle',
    array(
        'settings'      => 'peccular_contactinn_maintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Left Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactinn_letfmaintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Contact Info', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_letfmaintitle',
    array(
        'settings'      => 'peccular_contactinn_letfmaintitle',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Right Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactinn_email1',
    array(
        'sanitize_callback' => 'sanitize_email',
        'default'           => __( 'infomail@abcdmail.com', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_email1',
    array(
        'settings'      => 'peccular_contactinn_email1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Email', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactinn_phone1',
    array(
        'sanitize_callback' => 'peccular_sanitize_phone_number',
        'default'           => __( '+111 2222 111 ', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_phone1',
    array(
        'settings'      => 'peccular_contactinn_phone1',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Phone Number', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactinn_address',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Murrells Inlet South Carolina 2957 United States ', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_address',
    array(
        'settings'      => 'peccular_contactinn_address',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'textarea',
        'label'         => __( 'Address', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_contactinn_form_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add Form Shortcode Here', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_contactinn_form_shortcode',
    array(
        'settings'      => 'peccular_contactinn_form_shortcode',
        'section'       => 'peccular_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);


$wp_customize->add_setting('peccular_contactinn_page_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('peccular_contactinn_page_iframe_shortcode', array('settings'=>'peccular_contactinn_page_iframe_shortcode', 'section'=>'peccular_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'peccular')));



     $wp_customize->add_setting('peccular_contactinn_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_contactinn_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_contact_pages',
    ));




addColorPalatOption($wp_customize, 'peccular_contactinn_heading_color', 'peccular_contact_pages', 'Left Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_headinglbox1bg_color1', 'peccular_contact_pages', 'Left Heading Box 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_headinglbox2bg_color2', 'peccular_contact_pages', 'Left Heading Box 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_headinglbox2bg_color', 'peccular_contact_pages', 'Left Heading Box 2 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_headinglbox2brdr_color', 'peccular_contact_pages', 'Left Heading Box 2 Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_ldbox1bg_color1', 'peccular_contact_pages', 'Left Details Box 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_ldbox1bg_color2', 'peccular_contact_pages', 'Left Details Box 1 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_ldbox2bg_color', 'peccular_contact_pages', 'Left Details Box 2 BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_ldbox2brdr_color', 'peccular_contact_pages', 'Left Details Box 2 Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_icon_color', 'peccular_contact_pages', 'Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_iconbg_color1', 'peccular_contact_pages', 'Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_iconbg_color2', 'peccular_contact_pages', 'Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_data_color', 'peccular_contact_pages', 'Left Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_linkhover_color', 'peccular_contact_pages', 'Link Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_rightheading_color', 'peccular_contact_pages', 'Right Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_rboxbg_color1', 'peccular_contact_pages', 'Right Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_rboxbg_color2', 'peccular_contact_pages', 'Right Box BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_formsmallcrcl_color1', 'peccular_contact_pages', 'Form Small Circle BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_formsmallcrcl_color2', 'peccular_contact_pages', 'Form Small Circle BG Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_formtext_color', 'peccular_contact_pages', 'Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_formborder_color', 'peccular_contact_pages', 'Form Field Border Color', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_btntext_color', 'peccular_contact_pages', 'Button Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_btnhovtxt_color', 'peccular_contact_pages', 'Button Hover Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_btnbg_color', 'peccular_contact_pages', 'Button BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_contactinn_btnhovbg_color', 'peccular_contact_pages', 'Button Hover BG Color ', '');
?>