<?php
/**
 * Template Name: Contact Page
 *
 * @package peccular Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>
  > 
<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">  
        <div class="innpagetitle">
    <div class="top-left-border"></div>
    <div class="top-right-border"></div>
   
<!-- <?php //if(get_theme_mod('page_title_on_off') != 'on' ){?>   
        <?php //the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <div class="clearfix"></div>    
 <?php //} ?>  -->
 <?php if(get_theme_mod('breadcrumb_on_off') != 'on' ){  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">            
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->           
        </div>
 <?php } ?> 
    <div class="bottom-left-border"></div>
    <div class="bottom-right-border"></div>
    </div> 
 </div><!-- innpagetitle-->

</header><!-- .entry-header --> 
<div class="peccular-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		
		<div class="<?php if(get_theme_mod('peccular_contactinn_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_contactinn_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
			<div class="row">
				
			<?php
			$peccular_contactinn_page_id = get_theme_mod('peccular_contactinn_page');
			$peccular_contactinn_letfmaintitle = get_theme_mod('peccular_contactinn_letfmaintitle', 'Contact Info');	
			$peccular_contactinn_maintitle = get_theme_mod('peccular_contactinn_maintitle', 'Contact Us');			
			$peccular_contactinn_address = get_theme_mod('peccular_contactinn_address', 'Murrells Inlet South Carolina 2957 United States');	
			$peccular_contactinn_email1 = get_theme_mod('peccular_contactinn_email1', 'infomail@abcdmail.com ');		
			$peccular_contactinn_phone1 = get_theme_mod('peccular_contactinn_phone1', '+111 2222 111 ');													
			?>	


		<div class="col-xl-5 col-lg-5 col-md-12 col-sm-12 col-xs-12 pd-0 contactleftinfo">	
			<?php if($peccular_contactinn_letfmaintitle){ ?>
			<div class="peccular-section-head">					
				<h2><?php echo ($peccular_contactinn_letfmaintitle);  ?></h2>									
			</div>
			<?php }?>		
			<div class="contactright1">
				<div class="contactright2">
						<?php if($peccular_contactinn_phone1){ ?>
			<div class="col-lg-12 col-md-12 col-sm-12 contactinnshape">
				<div class="peccular-contactinn-phone <?php echo esc_attr(get_theme_mod('peccular_contactinn_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-1 col-xs-1 peccular-contactinn-icon">
						<i class="fa fa-phone" aria-hidden="true"></i>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-11 col-xs-11 peccular-contactinn-info">					
						<a class="peccular-contactinn-data" href="telto:<?php echo $peccular_contactinn_phone1;?>"><?php echo $peccular_contactinn_phone1 ;?></a>				
					</div>									
				</div>									
				</div>
			</div>						
				<?php }?>				
				
				<div class="clearfix"></div>

			<?php if($peccular_contactinn_email1){ ?>
			<div class="col-lg-12 col-md-12 col-sm-12 contactinnshape">								
				<div class="peccular-contactinn-mailid <?php echo esc_attr(get_theme_mod('peccular_contactinn_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-1 col-xs-1 peccular-contactinn-icon">
						<i class="fa fa-envelope" aria-hidden="true"></i>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-11 col-xs-11 ">									
					<a class="peccular-contactinn-data" href="mailto:<?php echo $peccular_contactinn_email1;?>"><?php echo $peccular_contactinn_email1 ;?></a>									
					</div>	
				</div>
				</div>							
			</div>
			<?php }?>

			<div class="clearfix"></div>

			<?php if($peccular_contactinn_address){ ?>
			<div class="col-lg-12 col-md-12 col-sm-12 contactinnshape">
				<div class="peccular-contactinn-address <?php echo esc_attr(get_theme_mod('peccular_contactinn_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
				<div class="row">
					<div class="col-lg-2 col-md-2 col-sm-1 col-xs-1 peccular-contactinn-icon">
						<i class="fa fa-map-marker" aria-hidden="true"></i>
					</div>
					<div class="col-lg-10 col-md-10 col-sm-11 col-xs-11 ">						
						<div class="peccular-contactinn-data"><?php echo $peccular_contactinn_address ;?></div>			
					</div>									
				</div>							
				</div>
			</div>
			<?php }?>
							
		</div>	
		</div><!-- contactright1 -->				
							
		</div><!-- col 6-->		

		
		<div class="col-xl-7 col-lg-7 col-md-12 col-sm-12 col-xs-12 contactrightinfo">		
			
				<div class="contactinn-area">
					<div class="contact-area">
						<div class="row">
						<div class="col-xl-2 col-lg-2 col-md-2 col-sm-2 col-xs-12">
					<?php if( get_theme_mod('peccular_ContactRight_Circlebgshapes_display','show' ) == 'show') :?>
							<div class="circlesCntct">
								<div class="gardCirclOuter1">
									<div class="gardCircl1"></div>
								</div>
								<div class="gardLine1"></div>

								<div class="gardCirclOuter2">
									<div class="gardCircl2"></div>
								</div>
								<div class="gardLine2"></div>

								<div class="gardCirclOuter3">
									<div class="gardCircl3"></div>
								</div>
								<div class="gardLine3"></div>

								<div class="gardCirclOuter4">
									<div class="gardCircl4"></div>
								</div>
							</div>
							 <?php endif ?>
						</div>
						<div class="col-xl-10 col-lg-10 col-md-10 col-sm-10 col-xs-12">
							<div class="peccular-section-head">						
								<?php if($peccular_contactinn_maintitle){ ?>
						            <h2><?php echo ($peccular_contactinn_maintitle);  ?></h2>
						        <?php }?>							
							</div>
							<div class="peccular-contactinn-block <?php echo esc_attr(get_theme_mod('peccular_contactinn_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								
								<?php 
								$peccular_contactinn_form_shortcode = get_theme_mod('peccular_contactinn_form_shortcode', 'Add form shortcode on customiser');
								?>
								<div class="peccular-contact-member-wrap">
									<?php echo do_shortcode($peccular_contactinn_form_shortcode);?>				
								</div>
							</div>
						</div>
					
					</div>
					</div>
				</div>
	
		</div><!-- col 6-->	
				
	</div><!-- row -->
	
	</div>								

		
			
	<div class="<?php if(get_theme_mod('peccular_inner_page_width','Full Width') == 'Full Width'){ ?>container-fluid <?php } elseif(get_theme_mod('peccular_inner_page_width','Full Width') == 'Box Width'){ ?> container <?php }?>">
		<?php 
			$peccular_contactinn_page_iframe_shortcode = get_theme_mod('peccular_contactinn_page_iframe_shortcode', 'Add Embed Code Here');
			?>
		<?php if(!empty($peccular_contactinn_page_iframe_shortcode)){ ?>
		<div class="peccular-contactinn-mapbox <?php echo esc_attr(get_theme_mod('peccular_contactinnpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
				<?php echo ($peccular_contactinn_page_iframe_shortcode);  ?>
		</div>
		<?php }?>
	</div>			
						
						
		
	</div>
</main>
<?php get_footer(); ?>