<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package peccular
 */
get_header(); ?>
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="peccular-page-main"> 
   <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('peccular_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >

<div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">  
        <div class="innpagetitle">
    <div class="top-left-border"></div>
    <div class="top-right-border"></div>

<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
	<div class="row">
  <div class="col-lg-5 col-md-5 col-sm-5 col-xs-5"> 
 <?php if(get_theme_mod('breadcrumb_on_off') != 'on' ){  ?>
        <div class="breadcrumbbox <?php echo esc_attr(get_theme_mod('peccular_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">            
                <div class='button'><?php peccular_lite_the_breadcrumb(); ?></div>
	
                <!--  <?php //peccular_lite_the_breadcrumb(); ?> -->           
        </div>
 <?php } ?> 
</div>
 <div class="col-lg-7 col-md-7 col-sm-7 col-xs-7">
 	<?php //do_action('woocommerce_before_main_content'); ?>
	<?php //if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<h1 class="page-title wow zoomIn"><?php woocommerce_page_title(); ?></h1>
	<?php //endif; ?>	
 </div>
</div>
 </div>
    <div class="bottom-left-border"></div>
    <div class="bottom-right-border"></div>
    </div> 
 </div><!-- innpagetitle--> 

</header>

 <div class="peccular-innerpage-overlay"></div>	 
</div>

	
<div class="single-productpage">
	<main id="innerpage-box">
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="container" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

    <?php if (get_theme_mod('peccular__shoppage_layout') == '1' ) { ?>
    	<div class="row md-1">
        <div class="col-xl-9 col-lg-8 col-md-12 col-sm-12 col-xs-12">	
            <?php if ( have_posts() ) : ?>						
				<?php do_action( 'woocommerce_before_shop_loop' ); ?>
				<?php woocommerce_product_loop_start(); ?>
				<?php woocommerce_product_subcategories(); ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php wc_get_template_part( 'content', 'product' ); ?>
				<?php endwhile; // end of the loop. ?>
				<?php woocommerce_product_loop_end(); ?>
				<?php do_action( 'woocommerce_after_shop_loop' ); ?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
				<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
			<?php endif; ?>		
        </div><!-- #main -->
        <div class="col-xl-3 col-lg-4 col-md-12 col-sm-12 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
	</div>

    <?php } else if (get_theme_mod('peccular__shoppage_layout') == '0' ) {?>
<div class="row md-1">
    	<div class="col-xl-9 col-lg-8 col-md-12 col-sm-12 col-xs-12">
        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>	
		 </div><!-- #main -->
		 <div class="col-xl-3 col-lg-4 col-md-12 col-sm-12 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>	

	</div>

         <?php } if (get_theme_mod('peccular__shoppage_layout') == '2' ) { ?>
         <div class="row md-1">
		 <div class="col-xl-3 col-lg-4 col-md-12 col-sm-12 col-xs-12 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'peccular-shop-sidebar'); ?></div>
		  	<?php endif ?>
		</div>
       <div class="col-xl-9 col-lg-8 col-md-12 col-sm-12 col-xs-12">	
            <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		
        </div><!-- #main -->
    </div>

	<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<?php get_footer(); ?>
